Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231144 - pygrub can leave stale vmlinuz and initrd data around on error
Summary: pygrub can leave stale vmlinuz and initrd data around on error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Markus Armbruster
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 14:51 UTC by Chris Lalancette
Modified: 2018-10-19 22:50 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 15:19:33 UTC


Attachments (Terms of Use)
Proposed fix derived from xen-unstable cset 12494 (deleted)
2007-10-29 17:52 UTC, Markus Armbruster
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0305 normal SHIPPED_LIVE xen bug fix and enhancement update 2008-05-20 18:04:30 UTC

Description Chris Lalancette 2007-03-06 14:51:25 UTC
Description of problem:
If xen encounters an error after extracting the kernel and initrd from the /boot
partition, it leaves the vmlinuz.xxxx and initrd.xxxx around in the /var/lib/xen
directory.  As a simple example, attempting to boot a paravirt Xen guest with a
bare-metal kernel will reproduce this behavior.  pygrub (and/or xm) should
really clean up after itself on error, so as not to fill up the /var/lib/xen
directory with useless vmlinuz and initrd files.

Comment 4 RHEL Product and Program Management 2007-10-16 04:03:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Markus Armbruster 2007-10-29 17:52:37 UTC
Created attachment 242191 [details]
Proposed fix derived from xen-unstable cset 12494

Comment 9 Daniel Berrange 2008-01-03 21:11:55 UTC
Fix built for QA

$ brew latest-pkg dist-5E-qu-candidate xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-43.el5                          dist-5E-qu-candidate  berrange

* Thu Jan  3 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-43.el5
- Cleanup kernel/initrd after pygrub errors (rhbz #231144)


Comment 12 errata-xmlrpc 2008-05-21 15:19:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html



Note You need to log in before you can comment on or make changes to this bug.